libmgl-dev_2.4.2.1-5_amd64.deb


Advertisement

Description

libmgl-dev - library for scientific graphs (development files)

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename libmgl-dev_2.4.2.1-5_amd64.deb
Package name libmgl-dev
Package version 2.4.2.1
Package release 5
Package architecture amd64
Package type deb
Category devel::library libdevel role::devel-lib
Homepage http://mathgl.sourceforge.net/doc_en/Main.html
License -
Maintainer Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Download size 1.28 MB
Installed size 8.57 MB

Alternatives

Package Version Architecture Repository
libmgl-dev_2.4.2.1-5_i386.deb 2.4.2.1 i386 Debian Main
libmgl-dev - - -

Requires

Name Value
libgl-dev -
libgl1-mesa-dev -
libgsl-dev -
libmgl-fltk7.5.0 = 2.4.2.1-5
libmgl-glut7.5.0 = 2.4.2.1-5
libmgl-mpi7.5.0 = 2.4.2.1-5
libmgl-qt5-7.5.0 = 2.4.2.1-5
libmgl-wnd7.5.0 = 2.4.2.1-5
libmgl-wx7.5.0 = 2.4.2.1-5
libmgl7.5.0 = 2.4.2.1-5
libpng-dev -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libmgl-dev_2.4.2.1-5_amd64.deb
Source Package mathgl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libmgl-dev deb package:
    # sudo apt-get install libmgl-dev

Files

Path
/usr/include/mgl2/Fl_MathGL.h
/usr/include/mgl2/abstract.h
/usr/include/mgl2/addon.h
/usr/include/mgl2/base.h
/usr/include/mgl2/base_cf.h
/usr/include/mgl2/canvas.h
/usr/include/mgl2/canvas_cf.h
/usr/include/mgl2/canvas_wnd.h
/usr/include/mgl2/config.h
/usr/include/mgl2/cont.h
/usr/include/mgl2/data.h
/usr/include/mgl2/data_cf.h
/usr/include/mgl2/datac.h
/usr/include/mgl2/datac_cf.h
/usr/include/mgl2/define.h
/usr/include/mgl2/dllexport.h
/usr/include/mgl2/eval.h
/usr/include/mgl2/evalc.h
/usr/include/mgl2/fit.h
/usr/include/mgl2/fltk.h
/usr/include/mgl2/font.h
/usr/include/mgl2/glut.h
/usr/include/mgl2/gsl.fs
/usr/include/mgl2/mathgl.fs
/usr/include/mgl2/mgl.fs
/usr/include/mgl2/mgl.h
/usr/include/mgl2/mgl_cf.h
/usr/include/mgl2/mgl_pas.pas
/usr/include/mgl2/mglplot.fs
/usr/include/mgl2/mpi.h
/usr/include/mgl2/opengl.h
/usr/include/mgl2/other.h
/usr/include/mgl2/parser.h
/usr/include/mgl2/pde.h
/usr/include/mgl2/plot.h
/usr/include/mgl2/prim.h
/usr/include/mgl2/qmathgl.h
/usr/include/mgl2/qt.h
/usr/include/mgl2/surf.h
/usr/include/mgl2/thread.h
/usr/include/mgl2/type.h
/usr/include/mgl2/vect.h
/usr/include/mgl2/vectors.fs
/usr/include/mgl2/volume.h
/usr/include/mgl2/window.h
/usr/include/mgl2/wnd.h
/usr/include/mgl2/wx.h
/usr/lib/libmgl-fltk.a
/usr/lib/libmgl-fltk.so
/usr/lib/libmgl-glut.a
/usr/lib/libmgl-glut.so
/usr/lib/libmgl-mpi.a
/usr/lib/libmgl-mpi.so
/usr/lib/libmgl-qt.a
/usr/lib/libmgl-qt.so
/usr/lib/libmgl-qt5.a
/usr/lib/libmgl-qt5.so
/usr/lib/libmgl-wnd.a
/usr/lib/libmgl-wnd.so
/usr/lib/libmgl-wx.a
/usr/lib/libmgl-wx.so
/usr/lib/libmgl.a
/usr/lib/libmgl.so
/usr/share/doc/libmgl-dev/changelog.Debian.gz
/usr/share/doc/libmgl-dev/changelog.gz
/usr/share/doc/libmgl-dev/copyright

Changelog

2018-12-04 - Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>
mathgl (2.4.2.1-5) unstable; urgency=medium
* Try to fix FTBFS on mips and mipsel arches (Closes: #915506)
2018-11-25 - Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>
mathgl (2.4.2.1-4) unstable; urgency=medium
[ Jelmer Vernooń≥ ]
* Trim trailing whitespace. Fixed-Lintian-Tags:
file-contains-trailing-whitespace
* Use secure copyright file specification URI. Fixed-Lintian-Tags:
insecure-copyright-format-uri
[ Dimitrios Eftaxiopoulos ]
* Restrict qtwebengine5-dev B-D to the arches where it is available
(Closes: #914585)
2018-11-01 - Alastair McKinstry <mckinstry@debian.org>
mathgl (2.4.2.1-3) unstable; urgency=medium
* Fix FTBFS with python3.7. Closes: #912590
2018-06-23 - Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>
mathgl (2.4.2.1-2) unstable; urgency=medium
* Add qtwebengine5-dev to Build-Depends due to the output of cmake
* Update standards version to 4.1.4
* Add Replaces/Conflicts for libmgl-*7.4.1 library packages
* Provide both python2 and python3 modules, using patch from Fedora project
* Mark libmgl-data as Multi-Arch: foreign (Closes: #897619)
2018-04-04 - Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>
mathgl (2.4.2.1-1) unstable; urgency=medium
* New upstream version 2.4.2.1
2018-04-03 - Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>
mathgl (2.4.2-1) unstable; urgency=medium
* New upstream version 2.4.2
* Remove M-A header from libmgl7.5.0 library (Closes: #872205)
* Refresh patch CMakeLists.patch
* Remove no more needed patches fix_hdf5.patch and pthread-fix.patch
* Update Standards-Version to current Policy version 4.1.3
* Update Vcs fields so that they point to salsa.d.o in d/control
* Update debhelper version and compat level to 11
2017-08-02 - Alastair McKinstry <mckinstry@debian.org>
mathgl (2.4.1-2) unstable; urgency=medium
* Push to unstable. Closes: #868622
2017-08-01 - Alastair McKinstry <mckinstry@debian.org>
mathgl (2.4.1-1) experimental; urgency=medium
* New upstream release
* Remove spurious build-dependency on libtwebkit-dev. Closes: #867297
2017-06-28 - Alastair McKinstry <mckinstry@debian.org>
mathgl (2.4-1) unstable; urgency=medium
* New upstream release
* Library version numbers updated to soname 7.4.1->7.5.0
* Standards-Version: 4.0.0
* Set libmgl-data as M-A: foreign
* Added myself as uploader
2016-09-12 - Alastair McKinstry <mckinstry@debian.org>
mathgl (2.3.4-1.1) unstable; urgency=medium
* Non-maintainer upload.
* Fix from Bas  Couwenberg for HDF5 build issue. Closes: #835680

See Also

Package Description
libmgl-fltk7.5.0_2.4.2.1-5_amd64.deb library for scientific graphs (fltk interface for windows)
libmgl-glut7.5.0_2.4.2.1-5_amd64.deb library for scientific graphs (glut interface for windows)
libmgl-mpi7.5.0_2.4.2.1-5_amd64.deb library for scientific graphs (mpi enhanced runtime library)
libmgl-qt5-7.5.0_2.4.2.1-5_amd64.deb library for scientific graphs (Qt interface for windows)
libmgl-wnd7.5.0_2.4.2.1-5_amd64.deb library for scientific graphs (windows runtime library)
libmgl-wx7.5.0_2.4.2.1-5_amd64.deb library for scientific graphs (wx interface for windows)
libmgl7.5.0_2.4.2.1-5_amd64.deb library for scientific graphs (main runtime library)
libmhash-dev_0.9.9.9-7+b1_amd64.deb Library for cryptographic hashing and message authentication
libmhash2_0.9.9.9-7+b1_amd64.deb Library for cryptographic hashing and message authentication
libmia-2.4-4_2.4.6-4_amd64.deb library for 2D and 3D gray scale image processing
libmia-2.4-dev_2.4.6-4_amd64.deb library for 2D and 3D gray scale image processing, development files
libmia-2.4-doc_2.4.6-4_all.deb library for 2D and 3D gray scale image processing, documentation
libmialm-dev_1.0.9-2_amd64.deb Development files for the MIA landmark library
libmialm-doc_1.0.9-2_all.deb Documentation for the MIA landmark library
libmialm3_1.0.9-2_amd64.deb Landmark handling for the MIA tool chain
Advertisement
Advertisement